Bug 517615 - Review Request: icoutils - Utilities for extracting and converting Microsoft icon and cursor files
Summary: Review Request: icoutils - Utilities for extracting and converting Microsoft ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Klepek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 497614 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-15 06:43 UTC by Martin Gieseking
Modified: 2011-08-27 16:41 UTC (History)
4 users (show)

Fixed In Version: 0.28.0-2.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-15 07:34:00 UTC
jan.klepek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Martin Gieseking 2009-08-15 06:43:13 UTC
Spec URL: http://mgieseki.fedorapeople.org/icoutils/icoutils.spec
SRPM URL:
http://mgieseki.fedorapeople.org/icoutils/icoutils-0.27.0-1.fc11.src.rpm

Description:
The icoutils are a set of programs for extracting and converting images in
Microsoft Windows icon and cursor files. These files usually have the
extension .ico or .cur, but they can also be embedded in executables or
libraries.  


koji scratch build is successful:
https://koji.fedoraproject.org/koji/taskinfo?taskID=1606341

rpmlint output is clean.

Comment 1 Martin Gieseking 2009-08-15 06:45:08 UTC
*** Bug 497614 has been marked as a duplicate of this bug. ***

Comment 2 Jan Klepek 2009-08-15 12:15:08 UTC
1] patch have upstream ticket id? Was it reporter to upstream?

2] license...
there are files with GPLv2 and files with GPLv3
this is not good imho, could you please contact upstream and ask them to update license that only gplv3 or gplv2 will be used. otherwise it will be complicated and we would need to ask FE-LEGAL

Comment 3 Martin Gieseking 2009-08-15 12:32:06 UTC
> 1] patch have upstream ticket id? Was it reporter to upstream?
There is no upstream ticket concerning this patch. I already wrote an email to upstream but haven't got a reply yet.
 
> 2] license...
> there are files with GPLv2 and files with GPLv3
> this is not good imho, could you please contact upstream and ask them to update
> license that only gplv3 or gplv2 will be used. otherwise it will be complicated
> and we would need to ask FE-LEGAL  

Thanks for this hint. I'm going to ask upstream.

Comment 4 Martin Gieseking 2009-08-17 09:04:28 UTC
Spec URL: http://mgieseki.fedorapeople.org/icoutils/icoutils.spec
SRPM URL:
http://mgieseki.fedorapeople.org/icoutils/icoutils-0.28.0-1.fc11.src.rpm

Upstream maintainer Oskar Liljeblad updated the license to GPLv3+, adapted the comments accordingly, and applied the ppc build patch.

koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=1609039

rpmlint output is still clean.

Comment 5 Jan Klepek 2009-08-29 14:12:42 UTC
rpmlint must be run on every package. 
- ok, rpmlint clean

The package must be named according to the Package Naming Guidelines.
- OK

The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
- OK

The package must meet the Packaging Guidelines.
- OK

The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
- OK

The License field in the package spec file must match the actual license.
- OK

If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
- OK

The spec file must be written in American English.
- OK

The spec file for the package MUST be legible.
- OK

The sources used to build the package must match the upstream source, as provided in the spec URL.
- OK

The package MUST successfully compile and build into binary rpms on at least one primary architecture.
- OK

ExcludeArch present.
- OK

All build dependencies must be listed in BuildRequires.
- OK

The spec file MUST handle locales properly.
- OK

Ldconfig in %post and %postun.
- not needed, OK

Relocatable package and /usr prefix.
- OK

A package must own all directories that it creates.
- OK

A Fedora package must not list a file more than once in the spec file's %files listings.
- OK

Permissions on files must be set properly.
- OK

Each package must have a correct %clean section.
- OK

Each package must consistently use macros.
- OK

The package must contain code, or permissable content.
- OK

Large documentation files must go in a -doc subpackage.
- OK, no large documentation

If a package includes something as %doc, it must not affect the runtime of the application.
- OK

Header files must be in a -devel package.
- OK

Static libraries must be in a -static package.
- OK, no static lib

Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' .
- OK, no .pc

Library with .so suffix must be in -devel package.
- OK, no .so

In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
- OK, no devel

Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
- OK, no .la

Gui application and desktop-file-install.
- OK, no desktop

Packages must not own files or directories already owned by other packages.
- OK

At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
- OK

All filenames in rpm packages must be valid UTF-8.
- OK

conclusion: approved

Comment 6 Martin Gieseking 2009-08-30 06:24:41 UTC
Thanks for the review, Jan!


New Package CVS Request
=======================
Package Name: icoutils
Short Description: Utility for extracting and converting Microsoft icon and cursor files
Owners: mgieseki
Branches: F-10 F-11 F-12
InitialCC:

Comment 7 Jason Tibbitts 2009-08-31 18:46:30 UTC
It's pretty early for wanting an F-12 branch of a new package, but we can create them now so I've gone ahead and done so.

CVS done.

Comment 8 Fedora Update System 2009-08-31 20:28:13 UTC
icoutils-0.28.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/icoutils-0.28.0-2.fc10

Comment 9 Fedora Update System 2009-08-31 20:28:18 UTC
icoutils-0.28.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/icoutils-0.28.0-1.fc11

Comment 10 Fedora Update System 2009-09-01 18:04:57 UTC
icoutils-0.28.0-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update icoutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9211

Comment 11 Fedora Update System 2009-09-01 18:08:02 UTC
icoutils-0.28.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update icoutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9223

Comment 12 Fedora Update System 2009-09-15 07:33:28 UTC
icoutils-0.28.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-09-15 07:53:25 UTC
icoutils-0.28.0-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Martin Gieseking 2011-08-27 06:53:07 UTC
icoutils is required to build the recent version of Wine. (bug #733801)


Package Change Request
======================
Package Name: icoutils
New Branches: el6
Owners: mgieseki

Comment 15 Gwyn Ciesla 2011-08-27 16:41:21 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.